ImageInputDescriptor (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.afp.ioca

## Class ImageInputDescriptor

- java.lang.Object
- - org.apache.fop.afp.modca.AbstractAFPObject
  - - org.apache.fop.afp.ioca.ImageInputDescriptor

- All Implemented Interfaces:
    Streamable

      public class ImageInputDescriptor
      extends AbstractAFPObject

  The IM Image Input Descriptor structured field contains the descriptor data for an IM image data object. This data specifies the resolution, size, and color of the IM image.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `AbstractAFPObject.Category, AbstractAFPObject.Type`

  - ### Field Summary

    - ### Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `LOG, SF_CLASS, SF_HEADER_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageInputDescriptor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setResolution(int resolution)` Sets the resolution information for the raster image the default value is a resolution of 240 dpi.
    `void` | `writeToStream(OutputStream os)` DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

    - ### Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `copySF, copySF, truncate, writeChunksToStream, writeObjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageInputDescriptor

          public ImageInputDescriptor()

  - ### Method Detail

    - #### writeToStream

          public void writeToStream(OutputStream os)
                             throws IOException

      DataStream objects must implement the writeToStream() method to write its data to the given OutputStream
      Parameters:
        `os` - the outputsteam stream
      Throws:
        `IOException` - an I/O exception of some sort has occurred.

    - #### setResolution

          public void setResolution(int resolution)

      Sets the resolution information for the raster image the default value is a resolution of 240 dpi.
      Parameters:
        `resolution` - The resolution value

Copyright © 2025 Apache Software Foundation. All rights reserved.